/* File:   local_structures.h
 * Author: Alexis L'opez Zubieta
 * e-mail: azubieta@estudiantes.uci.cu
 */
#include <glib-2.0/glib.h>

#ifndef LOCAL_STRUCTURES_H
#define	LOCAL_STRUCTURES_H

typedef struct mod {
    gchar* id;
    gchar* description;
} Module;

typedef struct lay {
    gchar* id;
    gchar* description;
    GSList *variant;
} Layout;

typedef struct var {
    gchar* id;
    gchar* description;
} Variant;

/**
 * Stores data of uno Option it's splited by the ":"
 */
typedef struct opt {
    GString* global;
    GString* especific;
    GString* description;
} Option;

/** 
 * Stores all the information from rules_path.
 * The option names havent arguments.
 * Exp: grp
 **/
typedef struct {
    GSList *modules;
    GSList *layouts;
    GSList *variants;
    GSList *options;
} KB_Rules;


/* Holds the data that is shown 
 * in the menu and saved as user
 * preferences.
 */
typedef struct {
    gchar *layoutId;
    gchar *layoutDesc;
    gchar *variantId;
    gchar *variantDesc;
} PairLayoutVariant;

/* INPUT: KB_Rules structure, a layout description 
 * OUTPUT: void
 * DESCRIPTION: Adds a layout to the list */
void add_layout(KB_Rules *rules, Layout *l);


#endif	/* LOCAL_STRUCTURES_H */

